#include <windows.h>
#include <stdio.h>

LPCSTR StringFromDriveType(UINT uType)
{
    switch (uType)
    {
    case DRIVE_UNKNOWN: return "DRIVE_UNKNOWN";
    case DRIVE_NO_ROOT_DIR: return "DRIVE_NO_ROOT_DIR";
    case DRIVE_REMOVABLE: return "DRIVE_REMOVABLE";
    case DRIVE_FIXED: return "DRIVE_FIXED";
    case DRIVE_REMOTE: return "DRIVE_REMOTE";
    case DRIVE_CDROM: return "DRIVE_CDROM";
    case DRIVE_RAMDISK: return "DRIVE_RAMDISK";
    default:
        return "(Invalid)";
    }
}

int main(void)
{
    DWORD dwDrives = GetLogicalDrives();
    CHAR szDrive[3];
    for (DWORD i = 0; i < 26; ++i)
    {
        if ((1 << i) & dwDrives)
        {
            szDrive[0] = 'A' + (CHAR)i;
            szDrive[1] = ':';
            szDrive[2] = 0;
            UINT uType = GetDriveTypeA(szDrive);
            LPCSTR psz = StringFromDriveType(uType);
            printf("GetDriveType('%c:'): %s\n", szDrive[0], psz);
        }
    }
    return 0;
}
